import { InputTextComponent } from "@colijnit/corecomponents_v12";
import { PurchasePortalLine } from "@colijnit/transactionapi/build/model/purchase-portal-line.bo";
export declare class TransactionPurchasePortalLineNetOrderPriceComponent {
    showLabel: boolean;
    defaultEditMode: boolean;
    readonly: boolean;
    set editMode(value: boolean);
    purchasePortalLine: PurchasePortalLine;
    get editMode(): boolean;
    showClass: boolean;
    input: InputTextComponent;
    private _editMode;
    constructor();
}
